| ICM-4268x-V Driver API 1.0.1 ICM-4268x-V Driver API

Public Attributes | List of all members
inv_icm426xx Struct Reference
Icm426xx driver high level functions

Icm426xx driver states definition. More...

`#include <Icm426xxDriver_HL.h>`

Collaboration diagram for inv_icm426xx:
[legend]

## Public Attributes
struct inv_icm426xx_transport | transport
| Warning : this field MUST be the first one of struct icm426xx.
void(* | sensor_event_cb )(inv_icm426xx_sensor_event_t *event)
| callback executed by inv_icm426xx_get_data_from_fifo function for each data packet extracted from fifo or inv_icm426xx_get_data_from_registers read data from register This field may be NULL if inv_icm426xx_get_data_from_fifo/inv_icm426xx_get_data_from_registers is not used by application.
int | gyro_st_bias [3]
| collected bias values (lsb) during self test
int | st_result
| Flag to keep track if self-test has been already run by storing acc and gyr results.
uint8_t | fifo_data [ICM426XX_FIFO_MIRRORING_SIZE]
| FIFO mirroring memory area.
uint8_t | tmst_to_reg_en_cnt
| internal counter to keep track of the timestamp to register access availability
uint8_t | dmp_is_on
| DMP started status.
uint8_t | dmp_from_sram
| DMP executes from SRAM.
uint64_t | gyro_start_time_us
| internal state needed to discard first gyro samples
uint64_t | accel_start_time_us
| internal state needed to discard first accel samples
uint8_t | endianess_data
| internal status of data endianness mode to report correctly data
uint8_t | fifo_highres_enabled
| FIFO packets are 20 bytes long.
INV_ICM426XX_FIFO_CONFIG_t | fifo_is_used
| Data are get from FIFO or from sensor registers. More...
uint8_t | wom_smd_mask
| This variable keeps track if wom or smd is enabled.
uint8_t | wom_enable
| This variable keeps track if wom is enabled.
uint64_t | gyro_power_off_tmst
| This variable keeps track of timestamp when gyro is power off.
uint8_t | acc_lp_avg
| Low-power averaging setting for accelerometer.
uint8_t | reserved
| reserved field
uint8_t | acc_ln_bw
| Low-noise filter bandwidth setting for accelerometer.
uint8_t | gyr_ln_bw
| Low-noise filter bandwidth setting for gyroscope.

## Detailed Description

Icm426xx driver states definition.

## Member Data Documentation

## ◆ fifo_is_used

INV_ICM426XX_FIFO_CONFIG_t inv_icm426xx::fifo_is_used

Data are get from FIFO or from sensor registers.

By default Fifo is used

The documentation for this struct was generated from the following file:

- Icm426xxDriver_HL.h